[Overview][Types][Classes][Variables][Index] | Reference for unit 'CustApp' (#fcl)

# TCustomApplication.StopOnException

Should the program loop stop on an exception

## Declaration

Source position: custapp.pp line 86

`public property TCustomApplication.StopOnException: Boolean read FStopOnException write FStopOnException;`

## Description

StopOnException controls the behaviour of the Run and HandleException procedures in case of an unhandled exception in the DoRun code. If StopOnException is True then Terminate will be called after the exception was handled.

## See also

Run |  | Runs the application.
HandleException |  | Handle an exception.
Terminate |  | Terminate the application.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .